For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Fields
      • POSTCreate Project Field
      • PUTUpdate Project Field Definition (e.g. rename)
      • DELDelete Project Field
      • GETRetrieve ProjectField Value
      • PUTUpdate ProjectField Value
      • PUTUpdate Project Field Options (for dropdown types)
      • GETRetrieve All ProjectField Values
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Field

Retrieve All ProjectField Values

GET
https://api.projectmanager.com/api/data/projects/:projectId/fields
GET
/api/data/projects/:projectId/fields
$curl https://api.projectmanager.com/api/data/projects/projectId/fields \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "shortId": "string",
17 "name": "string",
18 "type": "string",
19 "value": "string",
20 "createdDate": "2024-01-15T09:30:00Z",
21 "modifiedDate": "2024-01-15T09:30:00Z"
22 }
23 ]
24}
Retrieves all ProjectField values for a particular Project. A ProjectField is a custom field defined within your Workspace. You can define ProjectFields for any integration purpose that is important to your business. Each ProjectField has a data type as well as options in how it is handled. ProjectFields can be edited for each Project within your Workspace.
Was this page helpful?
Previous

Upload Project File

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project for which we want ProjectField values

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.